#include "css-definitions.h"
const char* CSS_TEMPLATE_PRE_3_20 =
"/* No resize grip */\n"
"#@session@ {\n"
"  -GtkWindow-resize-grip-height: 0;\n"
"  -GtkWindow-resize-grip-width: 0;\n"
"}\n"
"\n"
"/* Hide scrollbars from GtkScrolledWindow */\n"
"#@session@ GtkScrolledWindow GtkScrollbar:insensitive {\n"
"  -GtkRange-slider-width: 0;\n"
"  -GtkRange-trough-border: 0;\n"
"}\n"
"#@session@ GtkScrolledWindow GtkScrollbar {\n"
"  background-color: @scrollbar-bg@;\n"
"}\n"
"#@session@ GtkScrolledWindow GtkScrollbar.slider {\n"
"  background-color: @scrollbar-fg@;\n"
"}\n"
"\n"
"#@session@ * {\n"
"  color: @default-fg@;\n"
"  background-color: @default-bg@;\n"
"  background-image: none;\n"
"  font: @font@;\n"
"}\n"
"\n"
"/* Inputbar */\n"
"\n"
"#@session@ GtkEntry.inputbar {\n"
"  background-color: @inputbar-bg@;\n"
"}\n"
"\n"
"#@session@ .inputbar {\n"
"  color: @inputbar-fg@;\n"
"  background-color: @inputbar-bg@;\n"
"}\n"
"\n"
"/* Completion entries and groups */\n"
"\n"
"#@session@ .completion, .completion-box {\n"
"  color: @completion-fg@;\n"
"  background-color: @completion-bg@;\n"
"}\n"
"\n"
"#@session@ .completion {\n"
"  padding: 1px;\n"
"}\n"
"\n"
"#@session@ .completion:selected {\n"
"  color: @completion-highlight-fg@;\n"
"  background-color: @completion-highlight-bg@;\n"
"}\n"
"\n"
"#@session@ .completion-group {\n"
"  color: @completion-group-fg@;\n"
"  background-color: @completion-group-bg@;\n"
"  padding: 2px 4px;\n"
"}\n"
"\n"
"/* Statusbar */\n"
"\n"
"#@session@ .statusbar {\n"
"  color: @statusbar-fg@;\n"
"  background-color: @statusbar-bg@;\n"
"}\n"
"\n"
"/* Tabbar */\n"
"\n"
"#@session@ .tab {\n"
"  color: @tabbar-fg@;\n"
"  background-color: @tabbar-bg@;\n"
"}\n"
"\n"
"#@session@ GtkLabel.tab {\n"
"  padding: 4px;\n"
"}\n"
"\n"
"#@session@ .tab:selected {\n"
"  color: @tabbar-focus-fg@;\n"
"  background-color: @tabbar-focus-bg@;\n"
"}\n"
"\n"
"/* Notification area */\n"
"\n"
"#@session@ .notification {\n"
"  color: @notification-fg@;\n"
"  background-color: @notification-bg@;\n"
"}\n"
"\n"
"#@session@ .notification-error {\n"
"  color: @notification-error-fg@;\n"
"  background-color: @notification-error-bg@;\n"
"}\n"
"\n"
"#@session@ .notification-warning {\n"
"  color: @notification-warning-fg@;\n"
"  background-color: @notification-warning-bg@;\n"
"}\n"
"\n"
"/* Padding of the bottom box */\n"
"#@session@ .bottom_box {\n"
"  border-style: none;\n"
"  margin: 0px;\n"
"  padding: @bottombox-padding1@px @bottombox-padding2@px @bottombox-padding3@px\n"
"    @bottombox-padding4@px;\n"
"}\n"
"\n"
"#@session@ GtkScrolledWindow .undershoot.top,\n"
"#@session@ GtkScrolledWindow .undershoot.top:backdrop,\n"
"#@session@ GtkScrolledWindow .undershoot.bottom,\n"
"#@session@ GtkScrolledWindow .undershoot.bottom:backdrop,\n"
"#@session@ GtkScrolledWindow .undershoot.left,\n"
"#@session@ GtkScrolledWindow .undershoot.left:backdrop,\n"
"#@session@ GtkScrolledWindow .undershoot.right,\n"
"#@session@ GtkScrolledWindow .undershoot.right:backdrop {\n"
"  background-color: transparent;\n"
"}\n"
;
const char* CSS_TEMPLATE_POST_3_20 =
"#@session@ scrolledwindow scrollbar {\n"
"  background-color: @scrollbar-bg@;\n"
"}\n"
"#@session@ scrolledwindow scrollbar > slider {\n"
"  background-color: @scrollbar-fg@;\n"
"}\n"
"\n"
"#@session@ * {\n"
"  color: @default-fg@;\n"
"  background-color: @default-bg@;\n"
"  background-image: none;\n"
"  font: @font@;\n"
"}\n"
"\n"
"/* Inputbar */\n"
"\n"
"#@session@ entry.inputbar {\n"
"  background-color: @inputbar-bg@;\n"
"}\n"
"\n"
"#@session@ .inputbar {\n"
"  color: @inputbar-fg@;\n"
"  background-color: @inputbar-bg@;\n"
"  box-shadow: none; /* maybe use some user-definable color here */\n"
"}\n"
"\n"
"/* Completion entries and groups */\n"
"\n"
"#@session@ .completion, .completion-box {\n"
"  color: @completion-fg@;\n"
"  background-color: @completion-bg@;\n"
"}\n"
"\n"
"#@session@ .completion {\n"
"  padding: 1px;\n"
"}\n"
"\n"
"#@session@ .completion:selected {\n"
"  color: @completion-highlight-fg@;\n"
"  background-color: @completion-highlight-bg@;\n"
"}\n"
"\n"
"#@session@ .completion-group {\n"
"  color: @completion-group-fg@;\n"
"  background-color: @completion-group-bg@;\n"
"  padding: 2px 4px;\n"
"}\n"
"\n"
"/* Statusbar */\n"
"\n"
"#@session@ .statusbar {\n"
"  color: @statusbar-fg@;\n"
"  background-color: @statusbar-bg@;\n"
"}\n"
"\n"
"/* Tabbar */\n"
"\n"
"#@session@ .tab {\n"
"  color: @tabbar-fg@;\n"
"  background-color: @tabbar-bg@;\n"
"}\n"
"\n"
"#@session@ label.tab {\n"
"  padding: 4px;\n"
"}\n"
"\n"
"#@session@ .tab:selected {\n"
"  color: @tabbar-focus-fg@;\n"
"  background-color: @tabbar-focus-bg@;\n"
"}\n"
"\n"
"/* Notification area */\n"
"\n"
"#@session@ .notification {\n"
"  color: @notification-fg@;\n"
"  background-color: @notification-bg@;\n"
"}\n"
"\n"
"#@session@ .notification-error {\n"
"  color: @notification-error-fg@;\n"
"  background-color: @notification-error-bg@;\n"
"}\n"
"\n"
"#@session@ .notification-warning {\n"
"  color: @notification-warning-fg@;\n"
"  background-color: @notification-warning-bg@;\n"
"}\n"
"\n"
"/* Padding of the bottom box */\n"
"#@session@ .bottom_box {\n"
"  border-style: none;\n"
"  margin: 0px;\n"
"  padding: @bottombox-padding1@px @bottombox-padding2@px @bottombox-padding3@px\n"
"    @bottombox-padding4@px;\n"
"}\n"
"\n"
"#@session@ scrolledwindow undershoot.top,\n"
"#@session@ scrolledwindow undershoot.top:backdrop,\n"
"#@session@ scrolledwindow undershoot.bottom,\n"
"#@session@ scrolledwindow undershoot.bottom:backdrop,\n"
"#@session@ scrolledwindow undershoot.left,\n"
"#@session@ scrolledwindow undershoot.left:backdrop,\n"
"#@session@ scrolledwindow undershoot.right,\n"
"#@session@ scrolledwindow undershoot.right:backdrop\n"
"#@session@ scrolledwindow overshoot.top,\n"
"#@session@ scrolledwindow overshoot.top:backdrop,\n"
"#@session@ scrolledwindow overshoot.bottom,\n"
"#@session@ scrolledwindow overshoot.bottom:backdrop,\n"
"#@session@ scrolledwindow overshoot.left,\n"
"#@session@ scrolledwindow overshoot.left:backdrop,\n"
"#@session@ scrolledwindow overshoot.right,\n"
"#@session@ scrolledwindow overshoot.right:backdrop {\n"
"  background-color: transparent;\n"
"}\n"
;
